Get an OCM publish channel
GET
/api/admin/migration/ocm/{config_id}/channel/{channel_id}
const url = 'https://example.com/api/admin/migration/ocm/example/channel/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/migration/ocm/example/channel/example \ --header 'Authorization: Bearer <token>'Retrieves a single publish channel from the OCM source instance
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”config_id
required
Repository configuration ID
string
channel_id
required
Publish channel ID
string
Responses
Section titled “Responses”OCM channel retrieved successfully
Media typeapplication/json
A single OCM publish channel from the source instance
object
id
Publish channel ID
string
name
Publish channel name
string
Examplegenerated
{ "id": "example", "name": "example"}